

#ifndef PLAY_HPP
#define PLAY_HPP

#include <Basis/Screen.hpp>
#include <Basis/Log.hpp>
#include <Vector/Vector.hpp>
#include <Graphics/Graphics.hpp>
#include <Graphics/Font.hpp>

#include "Camera.hpp"
#include "Character3D.hpp"
#include "Timer.hpp"

#include "Audio.hpp"

#include <vector>

using std::vector;

class Play : public Screen {
public:
	Play();
	virtual ~Play();
	virtual void draw();
	virtual void update(float elapsed_time);
	virtual void handle_event(SDL_Event const &event);
};


#endif //PLAY_HPP
