/*
 * Shooter2D.cpp
 *
 *  Created on: Sep 3, 2009
 *      Author: Navin
 */

/*
 * Sprite.cpp
 *
 *  Created on: Sep 2, 2009
 *      Author: Navin
 */


#include "Shooter2D.hpp"

using std::vector;

// SDL_WM_SetCaption("Image not loaded ",NULL);


Shooter2D::Shooter2D(float x1,float y1,float h)
{
	x1Pos = x1;
	y1Pos = y1;
	Angle = h;
}

Shooter2D::~Shooter2D()
{

}


void Shooter2D::Draw(float r,float g,float b,float a,std::string type)
{
    glColor4f(r,g,b,a);
    drawRect(x1Pos,y1Pos,Angle);
	//dot->Draw(screen);
/*   -- Future implementations
	Graphics::TextureRef tex = Graphics::get_texture("dot.bmp");
		if (tex.ref) {
			glEnable(GL_TEXTURE_2D);
			glBindTexture(GL_TEXTURE_2D, tex->obj);
			glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_WRAP_S, GL_CLAMP_TO_EDGE);
			glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_WRAP_T, GL_CLAMP_TO_EDGE);
		}


		glBegin(GL_QUADS);
				glTexCoord2f(0.0f, 0.0f); glVertex2f(-0.1f, -0.1f);	// Bottom Left Of The Texture and Quad
				glTexCoord2f(1.0f, 0.0f); glVertex2f( 0.1f, -0.1f);	// Bottom Right Of The Texture and Quad
				glTexCoord2f(1.0f, 1.0f); glVertex2f( 0.1f,  0.1f);	// Top Right Of The Texture and Quad
				glTexCoord2f(0.0f, 1.0f); glVertex2f(-0.1f,  0.1f);	// Top Left Of The Texture and Quad
		glEnd();

		glDisable(GL_TEXTURE_2D);
		glBindTexture(GL_TEXTURE_2D, 0);
*/
}

// Update the balls movement here
void Shooter2D::Update()
{

}


float Shooter2D::getAngle()
{
	return Angle;
}

void Shooter2D::setAngle(float ang)
{
	Angle = ang;
}

float Shooter2D::get_x()
{
	return(x1Pos);
}

float Shooter2D::get_y()
{
	return(y1Pos);
}

void drawRect(float x1,float y1,float h)
{
	glPushMatrix();
	glLoadIdentity();
	glTranslatef(x1,y1,0);
	glRotatef(h+90,0.0,0.0,1.0);
	glScalef(0.01,0.1,0.05);
	glBegin(GL_QUADS);
		glVertex3f(-1,1,0);
		glVertex3f(1,1,0);
		glVertex3f(1,-1,0);
		glVertex3f(-1,-1,0);
	glEnd();
	glPopMatrix();
}
